<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

	<modelVersion>4.0.0</modelVersion>

	<parent>
		<artifactId>maven-parent</artifactId>
		<groupId>org.gcube.tools</groupId>
		<version>1.0.0</version>
	</parent>


	<groupId>org.gcube.portlet</groupId>
	<artifactId>search-manager-portlet</artifactId>
	<packaging>war</packaging>
	<name>SearchManager Portlet</name>
	<description>SearchManager portlet</description>
	<version>2.1.0-SNAPSHOT</version>

	<scm>
		<connection>scm:svn:https://svn.d4science-ii.research-infrastructures.eu/gcube/trunk/portlets/admin/SearchManagerPortlet</connection>
		<developerConnection>scm:svn:https://svn.d4science-ii.research-infrastructures.eu/gcube/trunk/portlets/admin/SearchManagerPortlet</developerConnection>
		<url>https://svn.d4science-ii.research-infrastructures.eu/gcube/trunk/portlets/admin/SearchManagerPortlet</url>
	</scm>

	<properties>
		<liferay.version>6.1.0</liferay.version>
		<liferay.auto.deploy.dir>${system.CATALINA_HOME}/../deploy</liferay.auto.deploy.dir>
		<distroDirectory>/home/gbuilder/workspace/org.gcube.portlets-admin.search-manager-portlet/distro</distroDirectory>
		<configDirectory>/home/gbuilder/workspace/org.gcube.portlets-admin.search-manager-portlet/config</configDirectory>
	</properties>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.gcube.distribution</groupId>
				<artifactId>maven-portal-bom</artifactId>
				<version>LATEST</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<build>
		<plugins>
			<plugin>
				<groupId>com.liferay.maven.plugins</groupId>
				<artifactId>liferay-maven-plugin</artifactId>
				<version>6.1.0</version>
				<configuration>
					<autoDeployDir>${system.CATALINA_HOME}/../deploy</autoDeployDir>
					<liferayVersion>6.1.0</liferayVersion>
					<pluginType>portlet</pluginType>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<encoding>UTF-8</encoding>
					<source>1.6</source>
					<target>1.6</target>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-resources-plugin</artifactId>
				<configuration>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>gwt-maven-plugin</artifactId>
				<version>2.5.1</version>
				<executions>
					<execution>
						<goals>
							<goal>compile</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>2.2</version>
				<configuration>
					<descriptors>
						<descriptor>/home/gbuilder/workspace/org.gcube.portlets-admin.search-manager-portlet/distro/descriptor.xml</descriptor>
					</descriptors>
				</configuration>
				<executions>
					<execution>
						<id>servicearchive</id>
						<phase>install</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
	<dependencies>
		<dependency>
			<groupId>com.liferay.portal</groupId>
			<artifactId>portal-service</artifactId>
			<version>6.1.0</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.portlet</groupId>
			<artifactId>portlet-api</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>servlet-api</artifactId>
			<version>2.4</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.servlet.jsp</groupId>
			<artifactId>jsp-api</artifactId>
			<version>2.0</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.google.gwt</groupId>
			<artifactId>gwt-servlet</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.google.gwt</groupId>
			<artifactId>gwt-user</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.gcube.portal</groupId>
			<artifactId>custom-portal-handler</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.gcube.applicationsupportlayer</groupId>
			<artifactId>aslcore</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.gcube.portlets.user</groupId>
			<artifactId>gcube-widgets</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.allen-sauer.gwt.log</groupId>
			<artifactId>gwt-log</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.mail</groupId>
			<artifactId>mail</artifactId>
			<version>1.4.5</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.execution</groupId>
			<artifactId>rrmodel</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.gcube.execution</groupId>
			<artifactId>rraggregator</artifactId>
			<scope>provided</scope>
		</dependency>
	</dependencies>
</project>